%%  gnmbeobs_a.m
%%  Kap 11.4.2
%%  Ausgabedatei zu gnmbeob.mdl: Strgren-Beobachter 

figure
    subplot(211)
    line = plot(t,60*N,'r-',t,60*ybeob(:,3),'b--') ;
    set(line,'LineWidth',[1.8])
    title('Drehzahl N und Schtzwert ybeob(:,3) [U/min]')
    legend('N','ybeob(:,3)',2)

    subplot(212)
    plot(t,60*(N-ybeob(:,3)),'k-')
    title('Schtzfehler e = N - ybeob(:,3)')
    xlabel('Zeit t')
                                                
if exist('druck') == 1 , print('-deps' ,'p_gnmbeobs_ne.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobs_ne_c.eps') , end

figure
    subplot(211)
    line = plot(t,IA,'r-',t,ybeob(:,1),'b--') ;
    set(line,'LineWidth',[1.8])
    title('Ausgang y = IA und Schtzwert ybeob(:,1)[A]')
    legend('IA','ybeob(:,1)',2)

    subplot(212)
    plot(t,IA-ybeob(:,1),'k-')
    title('Beobachterfehler e = IA - ybeob(:,1)')
    xlabel('Zeit t')

if exist('druck') == 1 , print('-deps' ,'p_gnmbeobs_iae.eps') , end
if exist('druck') == 1 , print('-depsc','p_gnmbeobs_iae_c.eps') , end
