%%  gnmregi_i.m
%%  Kap 11.3.1
%%  Initialisierungsdatei zu gnmregi.mdl

%% Maschinen- und allgemeine Simulationsdaten
gnm_i                            % Gleichstrommaschine
                                    
%% Stromrichter                     
T_t = 0.0001 ;                   % Totzeit des Stromrichters
%% Strom-Blcke
T_IAsoll = 0.05 ;                % Dauer einer Periode   [ s ]
IA_soll  = 10 ;                  % Sollstrom             [ A ]
%% Stromregelung: PI-Regler, BO-optimiert
V_Ri     = LA / (2*T_t) ;        % Verstrkungsfaktor    [ Ohm ]   
T_Ri     = TA ;                  % Nachstellzeit         [ s ]     
int_regi = 0 ;                   % Startwert des Regler-Integrators
